---
name: app-targo
services:
  backend:
    build: 
      context: https://git.targo.ca/Targo/targo_backend.git
      args:
        - CALLBACK_URL=http://${SERVER_IP}:${BACKEND_PUBLIC_PORT}/auth/callback
    environment:
      - REDIRECT_URL_DEV=http://${SERVER_IP}:${FRONTEND_PUBLIC_PORT}/#/login-success
    env_file:
      - stack.env
    ports:
      - ${BACKEND_PUBLIC_PORT}:3000
      
  frontend:
    build: 
      context: https://git.targo.ca/Targo/targo_frontend.git
      args:
        - BACKEND_URL=http://${SERVER_IP}:${BACKEND_PUBLIC_PORT}/
    volumes:
      - .:/app
    env_file:
      - stack.env
    ports:
      - ${FRONTEND_PUBLIC_PORT}:80